org.keycloak.authorization.admin

## Class ResourceServerService

- java.lang.Object
- - org.keycloak.authorization.admin.ResourceServerService

-     public class ResourceServerService
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceServerService(AuthorizationProvider authorization, ResourceServer resourceServer, ClientModel client, AdminPermissionEvaluator auth, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceServer` | `create(boolean newClient)`
    `void` | `delete()`
    `javax.ws.rs.core.Response` | `exportSettings()`
    `javax.ws.rs.core.Response` | `findById()`
    `Object` | `getPermissionTypeResource()`
    `PolicyService` | `getPolicyResource()`
    `ResourceSetService` | `getResourceSetResource()`
    `ScopeService` | `getScopeResource()`
    `javax.ws.rs.core.Response` | `importSettings(ResourceServerRepresentation rep)`
    `javax.ws.rs.core.Response` | `update(ResourceServerRepresentation server)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceServerService

          public ResourceServerService(AuthorizationProvider authorization,
                                       ResourceServer resourceServer,
                                       ClientModel client,
                                       AdminPermissionEvaluator auth,
                                       AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### create

          public ResourceServer create(boolean newClient)

    - #### update

          @PUT
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response update(ResourceServerRepresentation server)

    - #### delete

          public void delete()

    - #### findById

          @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response findById()

    - #### exportSettings

          @Path(value="/settings")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response exportSettings()

    - #### importSettings

          @Path(value="/import")
           @POST
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response importSettings(ResourceServerRepresentation rep)

    - #### getResourceSetResource

          @Path(value="/resource")
          public ResourceSetService getResourceSetResource()

    - #### getScopeResource

          @Path(value="/scope")
          public ScopeService getScopeResource()

    - #### getPolicyResource

          @Path(value="/policy")
          public PolicyService getPolicyResource()

    - #### getPermissionTypeResource

          @Path(value="/permission")
          public Object getPermissionTypeResource()

Copyright © 2021 JBoss by Red Hat. All rights reserved.